## org.apache.naming.factory
Class ResourceEnvFactory

    java.lang.Object
      org.apache.naming.factory.ResourceEnvFactory

All Implemented Interfaces:
  javax.naming.spi.ObjectFactory

public class ResourceEnvFactory
extends java.lang.Object
implements javax.naming.spi.ObjectFactory

Object factory for Resources env.

Version:
  $Revision: 1.2 $ $Date: 2004/02/27 14:58:54 $
Author:
  Remy Maucherat

Constructor Summary
`ResourceEnvFactory()`

Method Summary
`java.lang.Object` `getObjectInstance(java.lang.Object obj, javax.naming.Name name, javax.naming.Context nameCtx, java.util.Hashtable environment)` Crete a new Resource env instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceEnvFactory

    public ResourceEnvFactory()

Method Detail

### getObjectInstance

    public java.lang.Object getObjectInstance(java.lang.Object obj,
                                              javax.naming.Name name,
                                              javax.naming.Context nameCtx,
                                              java.util.Hashtable environment)
                                       throws java.lang.Exception

  Crete a new Resource env instance.

  Specified by:
    `getObjectInstance` in interface `javax.naming.spi.ObjectFactory`
  Parameters:
    `obj` - The reference object describing the DataSource
  Throws:
    `java.lang.Exception`

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.